<?xml version="1.0" encoding="utf-8"?>

<!--
SPDX-FileCopyrightText: Adam Evyčędo

SPDX-License-Identifier: GPL-3.0-or-later
-->

<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:app="http://schemas.android.com/apk/res-auto"
	xmlns:tool="http://schemas.android.com/tools"
	android:id="@+id/feed"
	android:layout_width="match_parent"
	android:layout_height="wrap_content">

	<com.google.android.material.textview.MaterialTextView
		android:id="@+id/feed_name"
		android:layout_width="0dp"
		android:layout_height="wrap_content"
		android:layout_marginStart="16dp"
		android:layout_marginTop="16dp"
		android:layout_marginBottom="16dp"
		android:textAppearance="@style/TextAppearance.Material3.HeadlineMedium"
		app:layout_constraintBottom_toBottomOf="parent"
		app:layout_constraintEnd_toStartOf="@+id/feed_switch_container"
		app:layout_constraintStart_toStartOf="parent"
		app:layout_constraintTop_toTopOf="parent"
		tool:text="Gravity Falls CBT" />

	<androidx.constraintlayout.widget.ConstraintLayout
		android:id="@+id/feed_switch_container"
		android:layout_width="wrap_content"
		android:layout_height="wrap_content"
		app:layout_constraintBottom_toBottomOf="parent"
		app:layout_constraintEnd_toEndOf="parent"
		android:visibility="invisible"
		app:layout_constraintTop_toTopOf="parent">

		<com.google.android.material.materialswitch.MaterialSwitch
			android:id="@+id/feed_switch"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:layout_marginTop="16dp"
			android:layout_marginEnd="16dp"
			android:layout_marginBottom="16dp"
			android:text=""
			app:layout_constraintBottom_toBottomOf="parent"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintTop_toTopOf="parent" />

		<com.google.android.material.divider.MaterialDivider
			android:id="@+id/divider"
			android:layout_width="1dp"
			android:layout_height="0dp"
			android:layout_marginTop="16dp"
			android:layout_marginEnd="8dp"
			android:layout_marginBottom="16dp"
			app:layout_constraintBottom_toBottomOf="parent"
			app:layout_constraintEnd_toStartOf="@+id/feed_switch"
			app:layout_constraintTop_toTopOf="parent" />


	</androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>